The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / libiio / S99iiod
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/libiio/S99iiod b/cirros-testvm/src-cirros/buildroot-2015.05/package/libiio/S99iiod
new file mode 100644 (file)
index 0000000..df2f763
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+# Server-side demuxing by default
+IIOD_OPTS=-D
+
+[ -r /etc/default/iiod ] && . /etc/default/iiod
+
+case "$1" in
+       start)
+               echo "Starting IIO Server Daemon"
+               start-stop-daemon -S -b -q -m -p /var/run/iiod.pid -x /usr/sbin/iiod -- $IIOD_OPTS
+               exit $?
+               ;;
+
+       stop)
+               echo "Stopping IIO Server Daemon"
+               start-stop-daemon -K -q -p /var/run/iiod.pid 2>/dev/null
+               exit $?
+               ;;
+
+       restart)
+               $0 stop
+               sleep 1
+               $0 start
+               ;;
+
+       *)
+               echo "Usage: $0 {start|stop|restart}"
+               exit 1
+esac